SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Plans

Update plan price

PUT/api/v1/plans/:id/prices

Sets the price for one billing cycle and currency on a plan. Admin-only.

Requires Authorization
ADMIN only
Authenticated action

Path parameters

idstringrequired
Plan ID.

Body parameters

billingCyclestringrequired
MONTHLY or YEARLY.
currencystringrequired
USD or CDF.
amountnumberrequired
Request
curl --request PUT \
  --url https://api.swiftgoma.com/api/v1/plans/:id/prices \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "billingCycle": "<billingCycle>",
  "currency": "<currency>",
  "amount": "<amount>"
}'
200Example response
{
  "success": true,
  "data": {
    "billingCycle": "MONTHLY",
    "currency": "USD",
    "amount": "10.00"
  }
}